package org.ntlab.radishforandroidstudio.cactusClient;


import android.app.Activity;
import android.app.Application;
import android.os.Bundle;

import org.ntlab.radishforandroidstudio.cactusClient.models.Account;
import org.ntlab.radishforandroidstudio.cactusClient.models.URIAddressedAccount;

public class Cactus extends Application {

    private Account myAccount = null;

    private URIAddressedAccount addressedAccount;

    public Cactus() {

        registerActivityLifecycleCallbacks(new ActivityLifecycleCallbacks() {
            @Override
            public void onActivityCreated(Activity activity, Bundle savedInstanceState) {

            }

            @Override
            public void onActivityStarted(Activity activity) {


            }

            @Override
            public void onActivityResumed(Activity activity) {

            }

            @Override
            public void onActivityPaused(Activity activity) {

            }

            @Override
            public void onActivityStopped(Activity activity) {

            }

            @Override
            public void onActivitySaveInstanceState(Activity activity, Bundle outState) {

            }

            @Override
            public void onActivityDestroyed(Activity activity) {

            }
        });
    }

    //MyAccountの追加
    public Account getMyAccount() {
        return myAccount;
    }

    public void setMyAccount(Account ac) {
        myAccount = ac;
    }

    public URIAddressedAccount getAddressedAccount() {
        return addressedAccount;
    }

    public void setAddressedAccount(URIAddressedAccount addressedAccount) {
        this.addressedAccount = addressedAccount;
    }
}


